# StickersData class

Implemented types
  - StanzaHandlerExtension

## Constructors

StickersData (String stickerPackId, StatelessFileSharingData sticker, {bool addBody = true})
  const

## Properties

addBody → bool
  If true, sets the sticker's metadata desc attribute as the message body.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
sticker → StatelessFileSharingData
  The metadata of the sticker.
  final
stickerPackId → String
  The id of the sticker pack the referenced sticker is from.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited